Tables

React Bootstrap 5 Tables component

Tables allow you to aggregate a huge amount of data and present it in a clear and orderly way. MDB tables provide additional benefits like responsiveness and the possibility of manipulating the table styles.

Due to the widespread use of <table> elements across third-party widgets like calendars and date pickers, Bootstrap’s tables are opt-in. Add the base class .table to any <table>, then extend with our optional modifier classes or custom styles. All table styles are not inherited in Bootstrap, meaning any nested tables can be styled independent from the parent.


Basic example

Using the most basic table markup, here’s how .table-based tables look in MDB.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>#</th>
                      <th scope='col'>First</th>
                      <th scope='col'>Last</th>
                      <th scope='col'>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <th scope='row'>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th scope='row'>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th scope='row'>3</th>
                      <td colSpan={2}>Larry the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Advanced example

An advanced example of the table with images, badges, buttons, and secondary texts.

Name Title Status Position Actions

John Doe

john.doe@gmail.com

Software engineer

IT department

Active Senior

Alex Ray

alex.ray@gmail.com

Consultant

Finance

Onboarding Junior

Kate Hunington

kate.hunington@gmail.com

Designer

UI/UX

Awaiting Senior
        
            
            import React from 'react';
            import { MDBBadge, MDBBtn, MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable align='middle'>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>Name</th>
                      <th scope='col'>Title</th>
                      <th scope='col'>Status</th>
                      <th scope='col'>Position</th>
                      <th scope='col'>Actions</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <td>
                        <div className='d-flex align-items-center'>
                          <img
                            src='https://mdbootstrap.com/img/new/avatars/8.jpg'
                            alt=''
                            style={{ width: '45px', height: '45px' }}
                            className='rounded-circle'
                          />
                          <div className='ms-3'>
                            <p className='fw-bold mb-1'>John Doe</p>
                            <p className='text-muted mb-0'>john.doe@gmail.com</p>
                          </div>
                        </div>
                      </td>
                      <td>
                        <p className='fw-normal mb-1'>Software engineer</p>
                        <p className='text-muted mb-0'>IT department</p>
                      </td>
                      <td>
                        <MDBBadge color='success' pill>
                          Active
                        </MDBBadge>
                      </td>
                      <td>Senior</td>
                      <td>
                        <MDBBtn color='link' rounded size='sm'>
                          Edit
                        </MDBBtn>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <div className='d-flex align-items-center'>
                          <img
                            src='https://mdbootstrap.com/img/new/avatars/6.jpg'
                            alt=''
                            style={{ width: '45px', height: '45px' }}
                            className='rounded-circle'
                          />
                          <div className='ms-3'>
                            <p className='fw-bold mb-1'>Alex Ray</p>
                            <p className='text-muted mb-0'>alex.ray@gmail.com</p>
                          </div>
                        </div>
                      </td>
                      <td>
                        <p className='fw-normal mb-1'>Consultant</p>
                        <p className='text-muted mb-0'>Finance</p>
                      </td>
                      <td>
                        <MDBBadge color='primary' pill>
                          Onboarding
                        </MDBBadge>
                      </td>
                      <td>Junior</td>
                      <td>
                        <MDBBtn color='link' rounded size='sm'>
                          Edit
                        </MDBBtn>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <div className='d-flex align-items-center'>
                          <img
                            src='https://mdbootstrap.com/img/new/avatars/7.jpg'
                            alt=''
                            style={{ width: '45px', height: '45px' }}
                            className='rounded-circle'
                          />
                          <div className='ms-3'>
                            <p className='fw-bold mb-1'>Kate Hunington</p>
                            <p className='text-muted mb-0'>kate.hunington@gmail.com</p>
                          </div>
                        </div>
                      </td>
                      <td>
                        <p className='fw-normal mb-1'>Designer</p>
                        <p className='text-muted mb-0'>UI/UX</p>
                      </td>
                      <td>
                        <MDBBadge color='warning' pill>
                          Awaiting
                        </MDBBadge>
                      </td>
                      <td>Senior</td>
                      <td>
                        <MDBBtn color='link' rounded size='sm'>
                          Edit
                        </MDBBtn>
                      </td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Variants

Use contextual classes to color tables, table rows or individual cells.

Class Heading Heading
Default Cell Cell
Primary Cell Cell
Secondary Cell Cell
Success Cell Cell
Danger Cell Cell
Warning Cell Cell
Info Cell Cell
Light Cell Cell
Dark Cell Cell
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>Class</th>
                      <th scope='col'>Heading</th>
                      <th scope='col'>Heading</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <th scope='row'>Default</th>
                      <td>Cell</td>
                      <td>Cell</td>
                    </tr>
    
                    <tr className='table-primary'>
                      <th scope='row'>Primary</th>
                      <td>Cell</td>
                      <td>Cell</td>
                    </tr>
                    <tr className='table-secondary'>
                      <th scope='row'>Secondary</th>
                      <td>Cell</td>
                      <td>Cell</td>
                    </tr>
                    <tr className='table-success'>
                      <th scope='row'>Success</th>
                      <td>Cell</td>
                      <td>Cell</td>
                    </tr>
                    <tr className='table-danger'>
                      <th scope='row'>Danger</th>
                      <td>Cell</td>
                      <td>Cell</td>
                    </tr>
                    <tr className='table-warning'>
                      <th scope='row'>Warning</th>
                      <td>Cell</td>
                      <td>Cell</td>
                    </tr>
                    <tr className='table-info'>
                      <th scope='row'>Info</th>
                      <td>Cell</td>
                      <td>Cell</td>
                    </tr>
                    <tr className='table-light'>
                      <th scope='row'>Light</th>
                      <td>Cell</td>
                      <td>Cell</td>
                    </tr>
                    <tr className='table-dark'>
                      <th scope='row'>Dark</th>
                      <td>Cell</td>
                      <td>Cell</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Conveying meaning to assistive technologies:
Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.


Striped

Use prop striped to add zebra-striping to any table row within the <tbody>.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable striped>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>#</th>
                      <th scope='col'>First</th>
                      <th scope='col'>Last</th>
                      <th scope='col'>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <th scope='row'>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th scope='row'>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th scope='row'>3</th>
                      <td colSpan={2}>Larry the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Hoverable

Add prop hover to enable a hover state on table rows within a <tbody>.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable hover>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>#</th>
                      <th scope='col'>First</th>
                      <th scope='col'>Last</th>
                      <th scope='col'>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <th scope='row'>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th scope='row'>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th scope='row'>3</th>
                      <td colSpan={2}>Larry the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

These hoverable rows can also be combined with the striped variant:

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable striped hover>...</MDBTable>
              );
            }
          
        
    

Active tables

Highlight a table row or cell by adding a .table-active class.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>#</th>
                      <th scope='col'>First</th>
                      <th scope='col'>Last</th>
                      <th scope='col'>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr className='table-active'>
                      <th scope='row'>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th scope='row'>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th scope='row'>3</th>
                      <td colSpan={2} className='table-active'>
                        Larry the Bird
                      </td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Bordered

Add .table-bordered for borders on all sides of the table and cells.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable bordered>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>#</th>
                      <th scope='col'>First</th>
                      <th scope='col'>Last</th>
                      <th scope='col'>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <th scope='row'>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th scope='row'>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th scope='row'>3</th>
                      <td colSpan={2}>Larry the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Border color utilities can be added to change colors:

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable bordered borderColor="primary" >
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>#</th>
                      <th scope='col'>First</th>
                      <th scope='col'>Last</th>
                      <th scope='col'>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <th scope='row'>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th scope='row'>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th scope='row'>3</th>
                      <td colSpan={2}>Larry the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Borderless

Add .table-borderless for a table without borders.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable borderless>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>#</th>
                      <th scope='col'>First</th>
                      <th scope='col'>Last</th>
                      <th scope='col'>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <th scope='row'>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th scope='row'>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th scope='row'>3</th>
                      <td colSpan={2}>Larry the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Small

Add .table-sm to make any .table more compact by cutting all cell padding in half.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable small>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>#</th>
                      <th scope='col'>First</th>
                      <th scope='col'>Last</th>
                      <th scope='col'>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <th scope='row'>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th scope='row'>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th scope='row'>3</th>
                      <td colSpan={2}>Larry the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Vertical alignment

Table cells of <thead> are always vertical aligned to the bottom. Table cells in <tbody> inherit their alignment from <table> and are aligned to the the top by default. Use the vertical align classes to re-align where needed.

Heading 1 Heading 2 Heading 3 Heading 4
This cell inherits vertical-align: middle; from the table This cell inherits vertical-align: middle; from the table This cell inherits vertical-align: middle; from the table Nulla vitae elit libero, a pharetra augue. Cras mattis consectetur purus sit amet fermentum. Vestibulum id ligula porta felis euismod semper.
This cell inherits vertical-align: bottom; from the table row This cell inherits vertical-align: bottom; from the table row This cell inherits vertical-align: bottom; from the table row Nulla vitae elit libero, a pharetra augue. Cras mattis consectetur purus sit amet fermentum. Vestibulum id ligula porta felis euismod semper.
This cell inherits vertical-align: middle; from the table This cell inherits vertical-align: middle; from the table This cell is aligned to the top. Nulla vitae elit libero, a pharetra augue. Cras mattis consectetur purus sit amet fermentum. Vestibulum id ligula porta felis euismod semper.
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable align="middle">
                  <MDBTableHead>
                    <tr>
                      <th scope='col' className='w-25'>
                        Heading 1
                      </th>
                      <th scope='col' className='w-25'>
                        Heading 2
                      </th>
                      <th scope='col' className='w-25'>
                        Heading 3
                      </th>
                      <th scope='col' className='w-25'>
                        Heading 4
                      </th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <td>
                        This cell inherits vertical-align: middle; from the table
                      </td>
                      <td>
                        This cell inherits vertical-align: middle; from the table
                      </td>
                      <td>
                        This cell inherits vertical-align: middle; from the table
                      </td>
                      <td>
                        Nulla vitae elit libero, a pharetra augue. Cras mattis consectetur purus sit amet fermentum.
                        Vestibulum id ligula porta felis euismod semper.
                      </td>
                    </tr>
                    <tr className='align-bottom'>
                      <td>
                        This cell inherits vertical-align: bottom; from the table row
                      </td>
                      <td>
                        This cell inherits vertical-align: bottom; from the table row
                      </td>
                      <td>
                        This cell inherits vertical-align: bottom; from the table row
                      </td>
                      <td>
                        Nulla vitae elit libero, a pharetra augue. Cras mattis consectetur purus sit amet fermentum.
                        Vestibulum id ligula porta felis euismod semper.
                      </td>
                    </tr>
                    <tr>
                      <td>
                        This cell inherits vertical-align: middle; from the table
                      </td>
                      <td>
                        This cell inherits vertical-align: middle; from the table
                      </td>
                      <td className='align-top'>This cell is aligned to the top.</td>
                      <td>
                        Nulla vitae elit libero, a pharetra augue. Cras mattis consectetur purus sit amet fermentum.
                        Vestibulum id ligula porta felis euismod semper.
                      </td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

Nesting

Border styles, active styles, and table variants are not inherited by nested tables.

# First Last Handle
1 Mark Otto @mdo
Header Header Header
A First Last
B First Last
C First Last
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBTable bordered striped>
                  <MDBTableHead>
                    <tr>
                      <th scope='col'>#</th>
                      <th scope='col'>First</th>
                      <th scope='col'>Last</th>
                      <th scope='col'>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <th scope='row'>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <td colSpan={4}>
                        <table className='table mb-0'>
                          <MDBTableHead>
                            <tr>
                              <th scope='col'>Header</th>
                              <th scope='col'>Header</th>
                              <th scope='col'>Header</th>
                            </tr>
                          </MDBTableHead>
                          <MDBTableBody>
                            <tr>
                              <th scope='row'>A</th>
                              <td>First</td>
                              <td>Last</td>
                            </tr>
                            <tr>
                              <th scope='row'>B</th>
                              <td>First</td>
                              <td>Last</td>
                            </tr>
                            <tr>
                              <th scope='row'>C</th>
                              <td>First</td>
                              <td>Last</td>
                            </tr>
                          </MDBTableBody>
                        </table>
                      </td>
                    </tr>
                    <tr>
                      <th scope='row'>3</th>
                      <td>Larry</td>
                      <td>the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }
          
        
    

How nesting works

To prevent any styles from leaking to nested tables, we use the child combinator (>) selector in our CSS. Since we need to target all the tds and ths in the thead, tbody, and tfoot, our selector would look pretty long without it. As such, we use the rather odd looking .table > :not(caption) > * > * selector to target all tds and ths of the .table, but none of any potential nested tables.

Note that if you add <tr>s as direct children of a table, those <tr> will be wrapped in a <tbody> by default, thus making our selectors work as intended.


Additional examples

A few practical examples of the use of tables with typical components such as buttons, checkboxes or icons.

Buttons

To learn more about buttons read Buttons Docs.

# Lorem Ipsum Dolor
1 Sit Amet
2 Adipisicing Elit
3 Hic Fugiat
        
            
              import React from 'react';
              import { MDBBtn, MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
              
              export default function App() {
                return (
                  <MDBTable align='middle'>
                    <MDBTableHead light>
                      <tr>
                        <th scope='col'>#</th>
                        <th scope='col'>Lorem</th>
                        <th scope='col'>Ipsum</th>
                        <th scope='col'>Dolor</th>
                      </tr>
                    </MDBTableHead>
                    <MDBTableBody>
                      <tr>
                        <th scope='row'>1</th>
                        <td>Sit</td>
                        <td>Amet</td>
                        <td>
                          <MDBBtn color='link' size='sm'>
                            <i className='fas fa-times'></i>
                          </MDBBtn>
                        </td>
                      </tr>
                      <tr>
                        <th scope='row'>2</th>
                        <td>Adipsicing</td>
                        <td>Elit</td>
                        <td>
                          <MDBBtn color='link' size='sm'>
                            <i className='fas fa-times'></i>
                          </MDBBtn>
                        </td>
                      </tr>
                      <tr>
                        <th scope='row'>3</th>
                        <td>Hic</td>
                        <td>Fugiat</td>
                        <td>
                          <MDBBtn color='link' size='sm'>
                            <i className='fas fa-times'></i>
                          </MDBBtn>
                        </td>
                      </tr>
                    </MDBTableBody>
                  </MDBTable>
                );
              }
            
        
    

Checkboxes

To learn more about checkboxes read Checkbox Docs.

Lorem Ipsum Dolor
Sit Amet Consectetur
Adipisicing Elit Sint
Hic Fugiat Temporibus
        
            
              import React from 'react';
              import { MDBBtn, MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
              
              export default function App() {
                return (
                  <MDBTable align='middle'>
                    <MDBTableHead light>
                      <tr>
                        <th scope='col'>
                          <MDBCheckbox></MDBCheckbox>
                        </th>
                        <th scope='col'>Lorem</th>
                        <th scope='col'>Ipsum</th>
                        <th scope='col'>Dolor</th>
                      </tr>
                    </MDBTableHead>
                    <MDBTableBody>
                      <tr>
                        <th scope='col'>
                          <MDBCheckbox></MDBCheckbox>
                        </th>
                        <td>Sit</td>
                        <td>Amet</td>
                        <td>Consectetur</td>
                      </tr>
                      <tr>
                        <th scope='col'>
                          <MDBCheckbox></MDBCheckbox>
                        </th>
                        <td>Adipsicing</td>
                        <td>Elit</td>
                        <td>Sint</td>
                      </tr>
                      <tr>
                        <th scope='col'>
                          <MDBCheckbox></MDBCheckbox>
                        </th>
                        <td>Hic</td>
                        <td>Fugiat</td>
                        <td>Temporibus</td>
                      </tr>
                    </MDBTableBody>
                  </MDBTable>
                );
              }
            
        
    

Icons

To learn more about icons read Icons Docs.

Product Detail Views Unique Purchases Quantity Product Revenue Avg. Price
Value 18,492 228 350 $4,787.64 $13.68
Percentage change -48.8%% 14.0% 46.4% 29.6% -11.5%
Absolute change -17,654 28 111 $1,092.72 $-1.78
        
            
              import React from 'react';
              import { MDBIcon, MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
              
              export default function App() {
                return (
                  <MDBTable>
                    <MDBTableHead light>
                      <tr>
                        <th scope='col'></th>
                        <th scope='col'>Product Detail Views</th>
                        <th scope='col'>Unique Purchases</th>
                        <th scope='col'>Quantity</th>
                        <th scope='col'>Product Revenue</th>
                        <th scope='col'>Avg. Price</th>
                      </tr>
                    </MDBTableHead>
                    <MDBTableBody>
                      <tr>
                        <th scope='col'>Value</th>
                        <td>18,492</td>
                        <td>228</td>
                        <td>350</td>
                        <td>$4,787.64</td>
                        <td>$13.68</td>
                      </tr>
                      <tr>
                        <th scope='col'>Percentage change</th>
                        <td className='text-danger'>
                          <MDBIcon className='me-1' fas icon='caret-down' />
                          -48.8%
                        </td>
                        <td className='text-success'>
                          <MDBIcon className='me-1' fas icon='caret-up' />
                          14.0%
                        </td>
                        <td className='text-success'>
                          <MDBIcon className='me-1' fas icon='caret-up' />
                          46.4%
                        </td>
                        <td className='text-success'>
                          <MDBIcon className='me-1' fas icon='caret-up' />
                          29.6%
                        </td>
                        <td className='text-danger'>
                          <MDBIcon className='me-1' fas icon='caret-down' />
                          -11.5%
                        </td>
                      </tr>
                      <tr>
                        <th scope='col'>Absolute change</th>
                        <td className='text-danger'>
                          <MDBIcon className='me-1' fas icon='caret-down' />
                          -17,654
                        </td>
                        <td className='text-success'>
                          <MDBIcon className='me-1' fas icon='caret-up' />
                          28
                        </td>
                        <td className='text-success'>
                          <MDBIcon className='me-1' fas icon='caret-up' />
                          111
                        </td>
                        <td className='text-success'>
                          <MDBIcon className='me-1' fas icon='caret-up' />
                          $1,092.72
                        </td>
                        <td className='text-danger'>
                          <MDBIcon className='me-1' fas icon='caret-down' />
                          $-1.78
                        </td>
                      </tr>
                    </MDBTableBody>
                  </MDBTable>
                );
              }
            
        
    

Anatomy

Table head

Similar to tables and dark tables, use the modifier classes .table-light or .table-dark to make <thead>s appear light or dark gray.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
              import React from 'react';
              import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
              
              export default function App() {
                return (
                  <MDBTable>
                    <MDBTableHead light>
                      <tr>
                        <th scope='col'>#</th>
                        <th scope='col'>First</th>
                        <th scope='col'>Last</th>
                        <th scope='col'>Handle</th>
                      </tr>
                    </MDBTableHead>
                    <MDBTableBody>
                      <tr>
                        <th scope='row'>1</th>
                        <td>Mark</td>
                        <td>Otto</td>
                        <td>@mdo</td>
                      </tr>
                      <tr>
                        <th scope='row'>2</th>
                        <td>Jacob</td>
                        <td>Thornton</td>
                        <td>@fat</td>
                      </tr>
                      <tr>
                        <th scope='row'>3</th>
                        <td>Larry</td>
                        <td>the Bird</td>
                        <td>@twitter</td>
                      </tr>
                    </MDBTableBody>
                  </MDBTable>
                );
              }
            
        
    
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
              import React from 'react';
              import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
              
              export default function App() {
                return (
                  <MDBTable>
                    <MDBTableHead dark>
                      <tr>
                        <th scope='col'>#</th>
                        <th scope='col'>First</th>
                        <th scope='col'>Last</th>
                        <th scope='col'>Handle</th>
                      </tr>
                    </MDBTableHead>
                    <MDBTableBody>
                      <tr>
                        <th scope='row'>1</th>
                        <td>Mark</td>
                        <td>Otto</td>
                        <td>@mdo</td>
                      </tr>
                      <tr>
                        <th scope='row'>2</th>
                        <td>Jacob</td>
                        <td>Thornton</td>
                        <td>@fat</td>
                      </tr>
                      <tr>
                        <th scope='row'>3</th>
                        <td>Larry</td>
                        <td>the Bird</td>
                        <td>@twitter</td>
                      </tr>
                    </MDBTableBody>
                  </MDBTable>
                );
              }
            
        
    

Table foot

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
Footer Footer Footer Footer
        
            
              import React from 'react';
              import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
              
              export default function App() {
                return (
                  <MDBTable>
                    <MDBTableHead light>
                      <tr>
                        <th scope='col'>#</th>
                        <th scope='col'>First</th>
                        <th scope='col'>Last</th>
                        <th scope='col'>Handle</th>
                      </tr>
                    </MDBTableHead>
                    <MDBTableBody>
                      <tr>
                        <th scope='row'>1</th>
                        <td>Mark</td>
                        <td>Otto</td>
                        <td>@mdo</td>
                      </tr>
                      <tr>
                        <th scope='row'>2</th>
                        <td>Jacob</td>
                        <td>Thornton</td>
                        <td>@fat</td>
                      </tr>
                      <tr>
                        <th scope='row'>3</th>
                        <td>Larry</td>
                        <td>the Bird</td>
                        <td>@twitter</td>
                      </tr>
                    </MDBTableBody>
                    <tfoot>
                      <tr>
                        <td>Footer</td>
                        <td>Footer</td>
                        <td>Footer</td>
                        <td>Footer</td>
                      </tr>
                    </tfoot>
                  </MDBTable>
                );
              }
            
        
    

Captions

A <caption> functions like a heading for a table. It helps users with screen readers to find a table and understand what it’s about and decide if they want to read it.

List of users
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
              import React from 'react';
              import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
              
              export default function App() {
                return (
                  <MDBTable>
                    <caption>List of users</caption>
                    <MDBTableHead>
                    ...
                    </MDBTableHead>
                    <MDBTableBody>
                    ...
                    </MDBTableBody>
                  </MDBTable>
                );
              }
            
        
    

You can also put the <caption> on the top of the table with .caption-top.

List of users
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
              import React from 'react';
              import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
              
              export default function App() {
                return (
                  <MDBTable className='caption-top'>
                    <caption>List of users</caption>
                    <MDBTableHead>
                      <tr>
                        <th scope='col'>#</th>
                        <th scope='col'>First</th>
                        <th scope='col'>Last</th>
                        <th scope='col'>Handle</th>
                      </tr>
                    </MDBTableHead>
                    <MDBTableBody>
                      <tr>
                        <th scope='row'>1</th>
                        <td>Mark</td>
                        <td>Otto</td>
                        <td>@mdo</td>
                      </tr>
                      <tr>
                        <th scope='row'>2</th>
                        <td>Jacob</td>
                        <td>Thornton</td>
                        <td>@fat</td>
                      </tr>
                      <tr>
                        <th scope='row'>3</th>
                        <td>Larry</td>
                        <td>the Bird</td>
                        <td>@twitter</td>
                      </tr>
                    </MDBTableBody>
                  </MDBTable>
                );
              }
            
        
    

Responsive tables

Responsive tables allow tables to be scrolled horizontally with ease. Make any table responsive across all viewports by wrapping a .table with .table-responsive. Or, pick a maximum breakpoint with which to have a responsive table up to by using .table-responsive{-sm|-md|-lg|-xl|-xxl}.

Vertical clipping/truncation:
Responsive tables make use of overflow-y: hidden, which clips off any content that goes beyond the bottom or top edges of the table. In particular, this can clip off dropdown menus and other third-party widgets.

Always responsive

Across every breakpoint, use .table-responsive for horizontally scrolling tables.

# Heading Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell Cell
        
            
                import React from 'react';
                import { MDBTable, MDBTableHead, MDBTableBody } from 'mdb-react-ui-kit';
                
                export default function App() {
                  return (
                    <MDBTable responsive>
                      ...
                    </MDBTable>
                  );
                }
              
        
    

Breakpoint specific

Use .table-responsive{-sm|-md|-lg|-xl|-xxl} as needed to create responsive tables up to a particular breakpoint. From that breakpoint and up, the table will behave normally and not scroll horizontally.

These tables may asdappear broken until their responsive styles apply at specific viewport widths.

# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
        
            
                import React from 'react';
                import { MDBTable } from 'mdb-react-ui-kit';
                
                export default function App() {
                  return (
                    <>
                      <MDBTable responsive>...</MDBTable>
                      <MDBTable responsive="sm">...</MDBTable>
                      <MDBTable responsive="md">...</MDBTable>
                      <MDBTable responsive="lg">...</MDBTable>
                      <MDBTable responsive="xl">...</MDBTable>
                      <MDBTable responsive="xxl">...</MDBTable>
                    </>
                  );
                }
              
        
    

Customizing in Sass

  • The factor variables ($table-striped-bg-factor, $table-active-bg-factor & $table-hover-bg-factor) are used to determine the contrast in table variants.
  • Apart from the light & dark table variants, theme colors are lightened by the $table-bg-level variable.
        
            
                $table-cell-padding-y:        .5rem;
                $table-cell-padding-x:        .5rem;
                $table-cell-padding-y-sm:     .25rem;
                $table-cell-padding-x-sm:     .25rem;
                
                $table-cell-vertical-align:   top;
                
                $table-color:                 $body-color;
                $table-bg:                    transparent;
                
                $table-striped-color:         $table-color;
                $table-striped-bg-factor:     .05;
                $table-striped-bg:            rgba($black, $table-striped-bg-factor);
                
                $table-active-color:          $table-color;
                $table-active-bg-factor:      .1;
                $table-active-bg:             rgba($black, $table-active-bg-factor);
                
                $table-hover-color:           $table-color;
                $table-hover-bg-factor:       .075;
                $table-hover-bg:              rgba($black, $table-hover-bg-factor);
                
                $table-border-factor:         .1;
                $table-border-width:          $border-width;
                $table-border-color:          $border-color;
                
                $table-striped-order:         odd;
                
                $table-group-seperator-color: currentColor;
                
                $table-caption-color:         $text-muted;
                
                $table-bg-level:              -9;
                
                $table-variants: (
                  "primary":    color-level($primary, $table-bg-level),
                  "secondary":  color-level($secondary, $table-bg-level),
                  "success":    color-level($success, $table-bg-level),
                  "info":       color-level($info, $table-bg-level),
                  "warning":    color-level($warning, $table-bg-level),
                  "danger":     color-level($danger, $table-bg-level),
                  "light":      $light,
                  "dark":       $dark,
                );
            
        
    

Tables - API


Import

        
            
            import { MDBTable, MDBTableBody, MDBTableHead } from 'mdb-react-ui-kit';
          
        
    

Properties

MDBTable

Name Type Default Description Example
tag React.ComponentProps<any> 'table' Defines tag of the MDBTable element <MDBTable tag="section" />
align "top" | "middle" | "bottom" '' Add class of aling to table. <MDBTable align="top" />
borderColor "primary" | "secondary" | "success" | "danger" | "warning" | "info" | "light" | "dark" | "white" '' Add border color color to all cells in table. <MDBTable borderColor="primary" />
bordered boolean false Add border to cells in table <MDBTable bordered />
borderless boolean false Remove all borders from cells in table <MDBTable borderless />
color "primary" | "secondary" | "success" | "danger" | "warning" | "info" | "light" | "dark" | "white" '' Add colors to table <MDBTable color="primary" />
hover boolean false Add hoverable to rows in table <MDBTable hover />
small boolean false Add small class to table <MDBTable small />
striped boolean false Add striped class to table <MDBTable striped />
responsive boolean | string false Adds a responsive table behaviors <MDBTable responsive />
classNameResponsive string '' Adds a className to the responsive table <MDBTable responsive classNameResponsive='class' />
ref React.Ref<any> A reference to the MDBTable component <MDBTable ref={someRef} />

MDBTableBody

Name Type Default Description Example
tag React.ComponentProps<any> 'tbody' Defines tag of the MDBTableBody element <MDBTableBody tag="section" />
ref React.Ref<any> '' A reference to the MDBTableBody components <MDBTableBody ref={someRef} />

MDBTableHead

Name Type Default Description Example
tag React.ComponentProps<any> 'thead' Defines tag of the MDBTableHead element <MDBTableHead tag="section" />
dark boolean false Add active dark to element <MDBTableHead dark />
light boolean false Add active light to element <MDBTableHead light />
ref React.Ref<any> A reference to the MDBTableHead component <MDBTableHead ref={someRef} />

Angular Bootstrap table
Angular Table - Bootstrap 4 & Material Design
Angular Bootstrap Tables are component with basic tables features. They allow you to organize multiple data in an elegant way.
Bootstrap tables provide additional benefits like responsiveness and the possibility of manipulating the table styles.
You can enhance your tables by adding buttons, checkboxes, panels, and many other additional elements.
You can also use advanced datatables options like sort, search or pagination.
If you want to use basic bootstrap tables have a look at the documentation below.
For more advanced options go to the specific documentation pages listed below:
Basic table
Using the most basic table markup, here’s how
.table
-based tables look in Bootstrap.
All table styles are inherited in Bootstrap 4, meaning that any nested tables will be styled in the
same manner as
the parent.
# | First | Last | Handle |
---|---|---|---|
1 | Mark | Otto | @mdo |
2 | Jacob | Thornton | @fat |
3 | Larry | the Bird |
<table mdbTable>
<thead>
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.first}}</td>
<td>{{el.last}}</td>
<td>{{el.handle}}</td>
</tr>
</tbody>
</table>
import { Component, OnInit } from '@angular/core';
@Component({
selector: 'basic-table',
templateUrl: './basic-table.component.html',
styleUrls: ['./basic-table.component.scss'],
})
export class BasicTableComponent {
elements: any = [
{id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
{id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
{id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
];
headElements = ['ID', 'First', 'Last', 'Handle'];
}
Table head options
To change a background-color of
<thead>
(or any other element) use our
color classes
. If you are going to use a dark background you should also consider white text (to provide a proper contrast)
by adding the .text-white
class.
# | First | Last | Handle |
---|---|---|---|
1 | Mark | Otto | @mdo |
2 | Jacob | Thornton | @fat |
3 | Larry | the Bird |
# | First | Last | Handle |
---|---|---|---|
1 | Mark | Otto | @mdo |
2 | Jacob | Thornton | @fat |
3 | Larry | the Bird |
<table mdbTable>
<thead class="black white-text">
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.first}}</td>
<td>{{el.last}}</td>
<td>{{el.handle}}</td>
</tr>
</tbody>
</table>
<table mdbTable>
<thead class="grey lighten-1 black-text">
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.first}}</td>
<td>{{el.last}}</td>
<td>{{el.handle}}</td>
</tr>
</tbody>
</table>
import { Component, OnInit } from '@angular/core';
@Component({
selector: 'table-head-options',
templateUrl: './table-head-options.component.html',
styleUrls: ['./table-head-options.component.scss'],
})
export class TableHeadOptionsComponent {
elements: any = [
{id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
{id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
{id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
];
headElements = ['ID', 'First', 'Last', 'Handle'];
}
Striped rows
Use
striped="true"
to add zebra-striping to any table row within the
<tbody>
.
# | First | Last | Handle |
---|---|---|---|
1 | Mark | Otto | @mdo |
2 | Jacob | Thornton | @fat |
3 | Larry | the Bird |
<table mdbTable striped="true">
<thead>
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.first}}</td>
<td>{{el.last}}</td>
<td>{{el.handle}}</td>
</tr>
</tbody>
</table>
import { Component, OnInit } from '@angular/core';
@Component({
selector: 'table-striped',
templateUrl: './table-striped.component.html',
styleUrls: ['./table-striped.component.scss'],
})
export class TableStripedComponent {
elements: any = [
{id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
{id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
{id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
];
headElements = ['ID', 'First', 'Last', 'Handle'];
}
Bordered table
Add
bordered="true"
for borders on all sides of the table and cells.
# | First | Last | Handle |
---|---|---|---|
1 | Mark | Otto | @mdo |
2 | Jacob | Thornton | @fat |
3 | Larry the Bird |
<table mdbTable bordered="true">
<thead>
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.first}}</td>
<td>{{el.last}}</td>
<td>{{el.handle}}</td>
</tr>
</tbody>
</table>
import { Component, OnInit } from '@angular/core';
@Component({
selector: 'table-bordered',
templateUrl: './table-bordered.component.html',
styleUrls: ['./table-bordered.component.scss'],
})
export class TableBorderedComponent {
elements: any = [
{id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
{id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
{id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
];
headElements = ['ID', 'First', 'Last', 'Handle'];
}
Borderless table
Add
borderless="true"
for a table without borders.
# | First | Last | Handle |
---|---|---|---|
1 | Mark | Otto | @mdo |
2 | Jacob | Thornton | @fat |
3 | Larry the Bird |
<table mdbTable borderless="true">
<thead>
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.first}}</td>
<td>{{el.last}}</td>
<td>{{el.handle}}</td>
</tr>
</tbody>
</table>
import { Component, OnInit } from '@angular/core';
@Component({
selector: 'table-borderless',
templateUrl: './table-borderless.component.html',
styleUrls: ['./table-borderless.component.scss'],
})
export class TableBorderlessComponent {
elements: any = [
{id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
{id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
{id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
];
headElements = ['ID', 'First', 'Last', 'Handle'];
}
Hoverable rows
Add
hover="true"
to enable a hover state on table rows within a
<tbody>
.
# | First | Last | Handle |
---|---|---|---|
1 | Mark | Otto | @mdo |
2 | Jacob | Thornton | @fat |
3 | Larry the Bird |
<table mdbTable hover="true">
<thead>
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.first}}</td>
<td>{{el.last}}</td>
<td>{{el.handle}}</td>
</tr>
</tbody>
</table>
import { Component, OnInit } from '@angular/core';
@Component({
selector: 'table-hover',
templateUrl: './table-hover.component.html',
styleUrls: ['./table-hover.component.scss'],
})
export class TableHoverComponent {
elements: any = [
{id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
{id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
{id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
];
headElements = ['ID', 'First', 'Last', 'Handle'];
}
Small table
Add
small="true"
to make tables more compact by cutting the cell padding in half.
# | First | Last | Handle |
---|---|---|---|
1 | Mark | Otto | @mdo |
2 | Jacob | Thornton | @fat |
3 | Larry the Bird |
<table mdbTable small="true">
<thead>
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.first}}</td>
<td>{{el.last}}</td>
<td>{{el.handle}}</td>
</tr>
</tbody>
</table>
import { Component, OnInit } from '@angular/core';
@Component({
selector: 'table-small',
templateUrl: './table-small.component.html',
styleUrls: ['./table-small.component.scss'],
})
export class TableSmallComponent {
elements: any = [
{id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
{id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
{id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
];
headElements = ['ID', 'First', 'Last', 'Handle'];
}
Captions
caption
functions like a heading for a table. It helps users with screen readers to find a table and
understand what it’s about
and decide if they want to read it.
# | First | Last | Handle |
---|---|---|---|
1 | Mark | Otto | @mdo |
2 | Jacob | Thornton | @fat |
3 | Larry | the Bird |
<table mdbTable>
<caption>List of users</caption>
<thead>
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.first}}</td>
<td>{{el.last}}</td>
<td>{{el.handle}}</td>
</tr>
</tbody>
</table>
import { Component, OnInit } from '@angular/core';
@Component({
selector: 'table-caption',
templateUrl: './table-caption.component.html',
styleUrls: ['./table-caption.component.scss'],
})
export class TableCaptionComponent {
elements: any = [
{id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
{id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
{id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
];
headElements = ['ID', 'First', 'Last', 'Handle'];
}
Responsive table
Create a responsive table by wrapping any
.table
in
.table-responsive
to make them scroll horizontally on small devices (under 768px). When viewing on
anything larger than 768px wide, you
will not see any difference in these tables.
Vertical clipping/truncation
Responsive tables make use of
overflow-y: hidden
, which clips off any content that goes beyond the bottom or top edges of the table. In particular, this can clip off dropdown menus and other third-party widgets.
Note: For more advanced options of responsive tables have a look at Responsive Tables documentation .
# | Heading | Heading | Heading | Heading | Heading | Heading | Heading | Heading | Heading |
---|---|---|---|---|---|---|---|---|---|
1 | Cell | Cell | Cell | Cell | Cell | Cell | Cell | Cell | Cell |
2 | Cell | Cell | Cell | Cell | Cell | Cell | Cell | Cell | Cell |
3 | Cell | Cell | Cell | Cell | Cell | Cell | Cell | Cell | Cell |
<table mdbTable responsive="true">
<thead>
<tr>
<th *ngFor="let head of headElements" scope="col">{{head}} </th>
</tr>
</thead>
<tbody>
<tr mdbTableCol *ngFor="let el of elements">
<th scope="row">{{el.id}}</th>
<td>{{el.heading1}}</td>
<td>{{el.heading2}}</td>
<td>{{el.heading3}}</td>
<td>{{el.heading4}}</td>
<td>{{el.heading5}}</td>
<td>{{el.heading6}}</td>
<td>{{el.heading7}}</td>
<td>{{el.heading8}}</td>
<td>{{el.heading9}}</td>
</tr>
</tbody>
</table>
import { Component, OnInit } from '@angular/core';
@Component({
selector: 'table-responsive',
templateUrl: './table-responsive.component.html',
styleUrls: ['./table-responsive.component.scss'],
})
export class TableResponsiveComponent {
elements: any = [
{
id: 1, heading1: 'Cell',
heading2: 'Cell',
heading3: 'Cell',
heading4: 'Cell',
heading5: 'Cell',
heading6: 'Cell',
heading7: 'Cell',
heading8: 'Cell',
heading9: 'Cell'
},
{
id: 2, heading1: 'Cell',
heading2: 'Cell',
heading3: 'Cell',
heading4: 'Cell',
heading5: 'Cell',
heading6: 'Cell',
heading7: 'Cell',
heading8: 'Cell',
heading9: 'Cell'
},
{
id: 3, heading1: 'Cell',
heading2: 'Cell',
heading3: 'Cell',
heading4: 'Cell',
heading5: 'Cell',
heading6: 'Cell',
heading7: 'Cell',
heading8: 'Cell',
heading9: 'Cell'
},
];
headElements = ['ID', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading'];
}
Advanced table options
For advanced table options have a look at specific documentation pages listed below.
Datatables
MDBootstrap integration with the most popular plugin that enhances the possibilities of standard tables.
Table pagination
Pagination is a simple navigation, which lets you split a huge amount of content within the tables into smaller parts.
Table search
The MDBootstrap search box enables super fast searching through all the table data.
Table sort
This functionality lets you sort the table data according to any specific columns.
Table editable
Table editable allows you to edit existing data within the table and add new data to the table.
Angular Tables - API
In this section you will find advanced information about the Table component. You will find out which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.
Modules used
In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.
// MDB Angular Pro
import { WavesModule, TableModule } from 'ng-uikit-pro-standard';
// MDB Angular Free
import { WavesModule, TableModule } from 'angular-bootstrap-md';
Directive
MdbTableDirective
Selector: mdbTable
Type: MdbTableDirective
Export as: mdbTable
Inputs
Name | Type | Default | Description | Example |
---|---|---|---|---|
striped |
boolean | false | Adds a striped effect to the table. Striped is an effect similar to zebra - every second row is colored. | striped="true" |
bordered |
boolean | false | Adds a border to the entire table. | bordered="true" |
borderless |
boolean | false | Removes all borders from the table. | borderless="true" |
hover |
boolean | false | Adds a highlighting effect to the line on which the mouse cursor is located. | hover="true" |
small |
boolean | false | Changes the size of the table. Reduces row spacing to make the table narrower. | small="true" |
responsive |
boolean | false | Adds responsiveness to the table so that the table behaves correctly at lower resolutions. | responsive="true" |
stickyHeader |
boolean | false | Adds the ability to stick the header to the top edge of the table so that the header moves with the scrolling of the table. | stickyHeader="true" |
stickyHeaderBgColor |
string | ' ' | Adds the ability to change the background color of the table header. The default background color is #f2f2f2f2. | stickyHeaderBgColor="#303030" |
stickyHeaderTextColor |
string | ' ' | Adds the ability to change the text color of the table header. The default text color is #f000000. | stickyHeaderTextColor="#ffffff" |
Directive
MdbTableRowDirective
Selector: mdbTableRow
Type: MdbTableRowDirective
Outputs
Name | Type | Description | Example |
---|---|---|---|
rowCreated |
EventEmitter<any> | Emits an event rowCreated which contains an object with properties created: boolean and el: ElementRef | (rowCreated)="onRowCreate($event)" |
rowRemoved |
EventEmitter<any> | Emits an event rowRemoved which contains an object with properties removed: boolean. | (rowRemoved)="onRowRemove($event)" |

Tables

Vue Bootstrap 5 Tables

Tables allow you to aggregate a huge amount of data and present it in a clear and orderly way. MDB tables provide additional benefits like responsiveness and the possibility of manipulating the table styles.

Due to the widespread use of <table> elements across third-party widgets like calendars and date pickers, Bootstrap’s tables are opt-in. Add the base class MDBTable to any <table>, then extend with our optional modifier classes or custom styles. All table styles are not inherited in Bootstrap, meaning any nested tables can be styled independent from the parent.


Basic example

Using the most basic table markup, here’s how MDBTable-based tables look in MDB.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
        <template>
          <MDBTable>
            <thead>
              <tr>
                <th scope="col">#</th>
                <th scope="col">First</th>
                <th scope="col">Last</th>
                <th scope="col">Handle</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <th scope="row">1</th>
                <td>Mark</td>
                <td>Otto</td>
                <td>@mdo</td>
              </tr>
              <tr>
                <th scope="row">2</th>
                <td>Jacob</td>
                <td>Thornton</td>
                <td>@fat</td>
              </tr>
              <tr>
                <th scope="row">3</th>
                <td colspan="2">Larry the Bird</td>
                <td>@twitter</td>
              </tr>
            </tbody>
          </MDBTable>
        </template>
        
        
    
        
            
        <script>
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
          export default {
            components: {
              MDBTable,
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
        </script>
        
        
    

Advanced example

An advanced example of the table with images, badges, buttons, and secondary texts.

Name Title Status Position Actions

John Doe

john.doe@gmail.com

Software engineer

IT department

Active Senior

Alex Ray

alex.ray@gmail.com

Consultant

Finance

Onboarding Junior

Kate Hunington

kate.hunington@gmail.com

Designer

UI/UX

Awaiting Senior
        
            
        <template>
          <MDBTable class="align-middle mb-0 bg-white">
            <thead class="bg-light">
              <tr>
                <th>Name</th>
                <th>Title</th>
                <th>Status</th>
                <th>Position</th>
                <th>Actions</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>
                  <div class="d-flex align-items-center">
                    <img src="https://mdbootstrap.com/img/new/avatars/8.jpg" alt="" style="width: 45px; height: 45px"
                      class="rounded-circle" />
                    <div class="ms-3">
                      <p class="fw-bold mb-1">John Doe</p>
                      <p class="text-muted mb-0">john.doe@gmail.com</p>
                    </div>
                  </div>
                </td>
                <td>
                  <p class="fw-normal mb-1">Software engineer</p>
                  <p class="text-muted mb-0">IT department</p>
                </td>
                <td>
                  <MDBBadge badge="success" pill class="d-inline">Active</MDBBadge>
                </td>
                <td>Senior</td>
                <td>
                  <MDBBtn color="link" size="sm" rounded>
                    Edit
                  </MDBBtn>
                </td>
              </tr>
              <tr>
                <td>
                  <div class="d-flex align-items-center">
                    <img src="https://mdbootstrap.com/img/new/avatars/6.jpg" class="rounded-circle" alt=""
                      style="width: 45px; height: 45px" />
                    <div class="ms-3">
                      <p class="fw-bold mb-1">Alex Ray</p>
                      <p class="text-muted mb-0">alex.ray@gmail.com</p>
                    </div>
                  </div>
                </td>
                <td>
                  <p class="fw-normal mb-1">Consultant</p>
                  <p class="text-muted mb-0">Finance</p>
                </td>
                <td>
                  <MDBBadge badge="primary" pill class="d-inline">Onboarding</MDBBadge>
                </td>
                <td>Junior</td>
                <td>
                  <MDBBtn color="link" size="sm" rounded class="fw-bold" :ripple="{ color: 'dark' }">
                    Edit
                  </MDBBtn>
                </td>
              </tr>
              <tr>
                <td>
                  <div class="d-flex align-items-center">
                    <img src="https://mdbootstrap.com/img/new/avatars/7.jpg" class="rounded-circle" alt=""
                      style="width: 45px; height: 45px" />
                    <div class="ms-3">
                      <p class="fw-bold mb-1">Kate Hunington</p>
                      <p class="text-muted mb-0">kate.hunington@gmail.com</p>
                    </div>
                  </div>
                </td>
                <td>
                  <p class="fw-normal mb-1">Designer</p>
                  <p class="text-muted mb-0">UI/UX</p>
                </td>
                <td>
                  <MDBBadge badge="warning" pill class="d-inline">Awaiting</MDBBadge>
                </td>
                <td>Senior</td>
                <td>
                  <MDBBtn color="link" size="sm" rounded class="fw-bold" :ripple="{ color: 'dark' }">
                    Edit
                  </MDBBtn>
                </td>
              </tr>
            </tbody>
          </MDBTable>
        </template>
        
        
    
        
            
        <script>
          import {
            MDBTable,
            MDBBtn,
            MDBBadge
          } from 'mdb-vue-ui-kit';

          export default {
            components: {
              MDBTable,
              MDBBtn,
              MDBBadge
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import {
            MDBTable,
            MDBBtn,
            MDBBadge
          } from 'mdb-vue-ui-kit';
        </script>
        
        
    

Variants

Use contextual classes to color tables, table rows or individual cells.

Class Heading Heading
Default Cell Cell
Primary Cell Cell
Secondary Cell Cell
Success Cell Cell
Danger Cell Cell
Warning Cell Cell
Info Cell Cell
Light Cell Cell
Dark Cell Cell
        
            
        <template>
          <!-- On tables -->
          <MDBTable variant="primary">...</MDBTable>
          <MDBTable variant="secondary">...</MDBTable>
          <MDBTable variant="success">...</MDBTable>
          <MDBTable variant="danger">...</MDBTable>
          <MDBTable variant="warning">...</MDBTable>
          <MDBTable variant="info">...</MDBTable>
          <MDBTable variant="light">...</MDBTable>
          <MDBTable variant="dark">...</MDBTable>
          <!-- On rows -->
          <tr class="table-primary">
            ...
          </tr>
          <tr class="table-secondary">
            ...
          </tr>
          <tr class="table-success">
            ...
          </tr>
          <tr class="table-danger">
            ...
          </tr>
          <tr class="table-warning">
            ...
          </tr>
          <tr class="table-info">
            ...
          </tr>
          <tr class="table-light">
            ...
          </tr>
          <tr class="table-dark">
            ...
          </tr>
          <!-- On cells (`td` or `th`) -->
          <tr>
            <td class="table-primary">...</td>
            <td class="table-secondary">...</td>
            <td class="table-success">...</td>
            <td class="table-danger">...</td>
            <td class="table-warning">...</td>
            <td class="table-info">...</td>
            <td class="table-light">...</td>
            <td class="table-dark">...</td>
          </tr>
        </template>
        
        
    
        
            
        <script>
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
          export default {
            components: {
              MDBTable,
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
        </script>
        
        
    

Conveying meaning to assistive technologies:
Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.


Accented tables

Striped

Use striped prop on MDBTable to add zebra-striping to any table row within the <tbody>.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable striped></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

These classes can also be added to table variants:

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable dark striped></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable variant="success" striped></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Hoverable

Add hover prop to enable a hover state on table rows within a <tbody>.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable hover></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable dark hover></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

These hoverable rows can also be combined with the striped variant:

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable hover striped></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Active tables

Highlight a table row or cell by adding a .table-active class.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable>
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">First</th>
                  <th scope="col">Last</th>
                  <th scope="col">Handle</th>
                </tr>
              </thead>
              <tbody>
                <tr class="table-active">
                  <th scope="row">1</th>
                  <td>Mark</td>
                  <td>Otto</td>
                  <td>@mdo</td>
                </tr>
                <tr>
                  <th scope="row">2</th>
                  <td>Jacob</td>
                  <td>Thornton</td>
                  <td>@fat</td>
                </tr>
                <tr>
                  <th scope="row">3</th>
                  <td colspan="2" class="table-active">Larry the Bird</td>
                  <td>@twitter</td>
                </tr>
              </tbody>
            </MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable dark>
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">First</th>
                  <th scope="col">Last</th>
                  <th scope="col">Handle</th>
                </tr>
              </thead>
              <tbody>
                <tr class="table-active">
                  <th scope="row">1</th>
                  <td>Mark</td>
                  <td>Otto</td>
                  <td>@mdo</td>
                </tr>
                <tr>
                  <th scope="row">2</th>
                  <td>Jacob</td>
                  <td>Thornton</td>
                  <td>@fat</td>
                </tr>
                <tr>
                  <th scope="row">3</th>
                  <td colspan="2" class="table-active">Larry the Bird</td>
                  <td>@twitter</td>
                </tr>
              </tbody>
            </MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Table borders

Bordered

Add bordered prop for borders on all sides of the table and cells.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable bordered></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Border color utilities can be added to change colors:

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable border="primary"></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Borderless

Add borderless prop for a table without borders.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable borderless></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable dark borderless></MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Small

Add sm prop to make any MDBTable more compact by cutting all cell padding in half.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
        <template>
          <MDBTable sm></MDBTable>
        </template>
        
        
    
        
            
        <script>
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
          export default {
            components: {
              MDBTable,
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
        </script>
        
        
    
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
        <template>
          <MDBTable dark sm></MDBTable>
        </template>
        
        
    
        
            
        <script>
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
          export default {
            components: {
              MDBTable,
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
        </script>
        
        
    

Group dividers

Add a thicker border, darker between table groups—<thead>, <tbody>, and <tfoot>—with .table-group-divider. We customize the color by adding the .table-divider-color class. You can also customize the color on your own by changing the border-top-color (which we don’t currently provide a utility class for at this time).

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable>
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">First</th>
                  <th scope="col">Last</th>
                  <th scope="col">Handle</th>
                </tr>
              </thead>
              <tbody class="table-group-divider table-divider-color">
                <tr>
                  <th scope="row">1</th>
                  <td>Mark</td>
                  <td>Otto</td>
                  <td>@mdo</td>
                </tr>
                <tr>
                  <th scope="row">2</th>
                  <td>Jacob</td>
                  <td>Thornton</td>
                  <td>@fat</td>
                </tr>
                <tr>
                  <th scope="row">3</th>
                  <td colspan="2">Larry the Bird</td>
                  <td>@twitter</td>
                </tr>
              </tbody>
            </MDBTable>
          </template>
        
        
    
        
            
          <script>
            import { MDBTable } from 'mdb-vue-ui-kit';

            export default {
              components: {
                MDBTable,
              },
            };
          </script>
        
        
    
        
            
          <script setup lang="ts">
            import { MDBTable } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Vertical alignment

Table cells of <thead> are always vertical aligned to the bottom. Table cells in <tbody> inherit their alignment from <MDBTable> and are aligned to the the top by default. Use the vertical align classes to re-align where needed.

Heading 1 Heading 2 Heading 3 Heading 4
This cell inherits vertical-align: middle; from the table This cell inherits vertical-align: middle; from the table This cell inherits vertical-align: middle; from the table Nulla vitae elit libero, a pharetra augue. Cras mattis consectetur purus sit amet fermentum. Vestibulum id ligula porta felis euismod semper.
This cell inherits vertical-align: bottom; from the table row This cell inherits vertical-align: bottom; from the table row This cell inherits vertical-align: bottom; from the table row Nulla vitae elit libero, a pharetra augue. Cras mattis consectetur purus sit amet fermentum. Vestibulum id ligula porta felis euismod semper.
This cell inherits vertical-align: middle; from the table This cell inherits vertical-align: middle; from the table This cell is aligned to the top. Nulla vitae elit libero, a pharetra augue. Cras mattis consectetur purus sit amet fermentum. Vestibulum id ligula porta felis euismod semper.
        
            
        <template>
          <MDBTable align="middle" responsive>
            <thead>
              <tr>
                <th scope="col">#</th>
                <th scope="col">First</th>
                <th scope="col">Last</th>
                <th scope="col">Handle</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <th scope="row">1</th>
                <td>Mark</td>
                <td>Otto</td>
                <td>@mdo</td>
              </tr>
              <tr class="align-bottom">
                <th scope="row">2</th>
                <td>Jacob</td>
                <td>Thornton</td>
                <td>@fat</td>
              </tr>
              <tr>
                <th scope="row">3</th>
                <td colspan="2">Larry the Bird</td>
                <td class="align-top">@twitter</td>
              </tr>
            </tbody>
          </MDBTable>
        </template>
        
        
    
        
            
        <script>
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
          export default {
            components: {
              MDBTable,
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
        </script>
        
        
    

Nesting

Border styles, active styles, and table variants are not inherited by nested tables.

# First Last Handle
1 Mark Otto @mdo
Header Header Header
A First Last
B First Last
C First Last
3 Larry the Bird @twitter
        
            
        <template>
          <MDBTable striped border>
            <thead></thead>
            <tbody>
              <tr>
                <td colspan="4">
                  <MDBTable></MDBTable>
                </td>
              </tr>
            </tbody>
          </MDBTable>
        </template>
        
        
    
        
            
        <script>
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
          export default {
            components: {
              MDBTable,
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import {
            MDBTable
          } from 'mdb-vue-ui-kit';
        </script>
        
        
    

How nesting works

To prevent any styles from leaking to nested tables, we use the child combinator (>) selector in our CSS. Since we need to target all the tds and ths in the thead, tbody, and tfoot, our selector would look pretty long without it. As such, we use the rather odd looking .table > :not(caption) > * > * selector to target all tds and ths of the .table, but none of any potential nested tables.

Note that if you add <tr>s as direct children of a table, those <tr> will be wrapped in a <tbody> by default, thus making our selectors work as intended.


Additional examples

A few practical examples of the use of tables with typical components such as buttons, checkboxes or icons.

Buttons

To learn more about buttons read Buttons Docs.

# Lorem Ipsum Dolor
1 Sit Amet
2 Adipisicing Elit
3 Hic Fugiat
        
            
          <template>
            <MDBTable align="middle">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">Lorem</th>
                  <th scope="col">Ipsum</th>
                  <th scope="col">Dolor</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <th scope="row">1</th>
                  <td>Sit</td>
                  <td>Amet</td>
                  <td>
                    <MDBBtn color="link" size="sm" class="px-3" :ripple="{ color: 'dark' }">
                      <MDBIcon icon="times" />
                    </MDBBtn>
                  </td>
                </tr>
                <tr>
                  <th scope="row">2</th>
                  <td>Adipisicing</td>
                  <td>Elit</td>
                  <td>
                    <MDBBtn color="link" size="sm" class="px-3" :ripple="{ color: 'dark' }">
                      <MDBIcon icon="times" />
                    </MDBBtn>
                  </td>
                </tr>
                <tr>
                  <th scope="row">3</th>
                  <td>Hic</td>
                  <td>Fugiat</td>
                  <td>
                    <MDBBtn color="link" size="sm" class="px-3" :ripple="{ color: 'dark' }">
                      <MDBIcon icon="times" />
                    </MDBBtn>
                  </td>
                </tr>
              </tbody>
            </MDBTable>
            <template />
            
        
    
        
            
            <script>
              import {
                MDBTable,
                MDBBtn
              } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBTable,
                  MDBBtn
                },
              };
            </script>
            
        
    
        
            
            <script setup lang="ts">
              import {
                MDBTable,
                MDBBtn
              } from 'mdb-vue-ui-kit';
            </script>
            
        
    

Checkboxes

To learn more about checkboxes read Checkbox Docs.

Lorem Ipsum Dolor
Sit Amet Consectetur
Adipisicing Elit Sint
Hic Fugiat Temporibus
        
            
          <template>
            <MDBTable>
              <thead>
                <tr>
                  <th scope="col">
                    <MDBCheckbox v-model="checkbox1" />
                  </th>
                  <th scope="col">Lorem</th>
                  <th scope="col">Ipsum</th>
                  <th scope="col">Dolor</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <th scope="row">
                    <MDBCheckbox v-model="checkbox2" />
                  </th>
                  <td>Sit</td>
                  <td>Amet</td>
                  <td>Consectetur</td>
                </tr>
                <tr>
                  <th scope="row">
                    <MDBCheckbox v-model="checkbox3" />
                  </th>
                  <td>Adipisicing</td>
                  <td>Elit</td>
                  <td>Sint</td>
                </tr>
                <tr>
                  <th scope="row">
                    <MDBCheckbox v-model="checkbox4" />
                  </th>
                  <td>Hic</td>
                  <td>Fugiat</td>
                  <td>Temporibus</td>
                </tr>
              </tbody>
            </MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              ref
            } from "vue";
            import {
              MDBTable,
              MDBCheckbox
            } from 'mdb-vue-ui-kit';

            export default {
              components: {
                MDBTable,
                MDBCheckbox
              },
              setup() {
                const checkbox1 = ref(false);
                const checkbox2 = ref(false);
                const checkbox3 = ref(false);
                const checkbox4 = ref(false);

                return {
                  checkbox1,
                  checkbox2,
                  checkbox3,
                  checkbox4
                }
              }
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              ref
            } from "vue";
            import {
              MDBTable,
              MDBCheckbox
            } from 'mdb-vue-ui-kit';

            const checkbox1 = ref(false);
            const checkbox2 = ref(false);
            const checkbox3 = ref(false);
            const checkbox4 = ref(false);
          </script>
          
        
    

Icons

To learn more about icons read Icons Docs.

Product Detail Views Unique Purchases Quantity Product Revenue Avg. Price
Value 18,492 228 350 $4,787.64 $13.68
Percentage change -48.8% 14.0% 46.4% 29.6% -11.5%
Absolute change -17,654 28 111 $1,092.72 $-1.78
        
            
          <template>
            <MDBTable hover class="text-nowrap">
              <thead>
                <tr>
                  <th scope="col"></th>
                  <th scope="col">Product Detail Views</th>
                  <th scope="col">Unique Purchases</th>
                  <th scope="col">Quantity</th>
                  <th scope="col">Product Revenue</th>
                  <th scope="col">Avg. Price</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <th scope="row">Value</th>
                  <td>18,492</td>
                  <td>228</td>
                  <td>350</td>
                  <td>$4,787.64</td>
                  <td>$13.68</td>
                </tr>
                <tr>
                  <th scope="row">Percentage change</th>
                  <td>
                    <span class="text-danger">
                      <i MDBIcon icon="caret-down" class="me-1" /><span
                        >-48.8%</span>
                    </span>
                  </td>
                  <td>
                    <span class="text-success">
                      <MDBIcon icon="caret-up" class="me-1" /><span>14.0%</span>
                    </span>
                  </td>
                  <td>
                    <span class="text-success">
                      <MDBIcon icon="caret-up" class="me-1" /><span>46.4%</span>
                    </span>
                  </td>
                  <td>
                    <span class="text-success">
                      <MDBIcon icon="caret-up" class="me-1" /><span>29.6%</span>
                    </span>
                  </td>
                  <td>
                    <span class="text-danger">
                      <MDBIcon icon="caret-down" class="me-1" /><span
                        >-11.5%</span>
                    </span>
                  </td>
                </tr>
                <tr>
                  <th scope="row">Absolute change</th>
                  <td>
                    <span class="text-danger">
                      <MDBIcon icon="caret-down" class="me-1" /><span
                        >-17,654</span>
                    </span>
                  </td>
                  <td>
                    <span class="text-success">
                      <MDBIcon icon="caret-up" class="me-1" /><span>28</span>
                    </span>
                  </td>
                  <td>
                    <span class="text-success">
                      <MDBIcon icon="caret-up" class="me-1" /><span>111</span>
                    </span>
                  </td>
                  <td>
                    <span class="text-success">
                      <MDBIcon icon="caret-up" class="me-1" /><span
                        >$1,092.72</span>
                    </span>
                  </td>
                  <td>
                    <span class="text-danger">
                      <MDBIcon icon="caret-down" class="me-1" /><span
                        >$-1.78</span>
                    </span>
                  </td>
                </tr>
              </tbody>
            </MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable,
              MDBIcon
            } from 'mdb-vue-ui-kit';

            export default {
              components: {
                MDBTable,
                MDBIcon
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable,
              MDBIcon
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Anatomy

Table head

Similar to tables and dark tables, use the modifier classes .table-light or .table-dark to make <thead>s appear light or dark gray.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable>
              <thead class="table-light"></thead>
              <tbody></tbody>
            </MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable>
              <thead class="table-dark"></thead>
              <tbody></tbody>
            </MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Table foot

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
Footer Footer Footer Footer
        
            
          <template>
            <MDBTable>
              <thead></thead>
              <tbody></tbody>
              <tfoot></tfoot>
            </MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Captions

A <caption> functions like a heading for a table. It helps users with screen readers to find a table and understand what it’s about and decide if they want to read it.

List of users
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable>
              <caption>
                List of users
              </caption>
              <thead></thead>
              <tbody></tbody>
            </MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

You can also put the <caption> on the top of the table with captionTop prop.

List of users
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <MDBTable captionTop>
              <caption>
                List of users
              </caption>
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">First</th>
                  <th scope="col">Last</th>
                  <th scope="col">Handle</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <th scope="row">1</th>
                  <td>Mark</td>
                  <td>Otto</td>
                  <td>@mdo</td>
                </tr>
                <tr>
                  <th scope="row">2</th>
                  <td>Jacob</td>
                  <td>Thornton</td>
                  <td>@fat</td>
                </tr>
                <tr>
                  <th scope="row">3</th>
                  <td>Larry</td>
                  <td>the Bird</td>
                  <td>@twitter</td>
                </tr>
              </tbody>
            </MDBTable>
          </template>
          
        
    
        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
            export default {
              components: {
                MDBTable,
              },
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
          
        
    

Responsive tables

Responsive tables allow tables to be scrolled horizontally with ease. Make any table responsive across all viewports by adding a responsive prop tp MDBTable. Or, pick a maximum breakpoint with which to have a responsive table up to by using responsive="{sm|md|lg|xl|xxl}".

Vertical clipping/truncation:
Responsive tables make use of overflow-y: hidden, which clips off any content that goes beyond the bottom or top edges of the table. In particular, this can clip off dropdown menus and other third-party widgets.

Always responsive

Across every breakpoint, use responsive for horizontally scrolling tables.

# Heading Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell Cell
        
            
            <template>
              <MDBTable responsive></MDBTable>
            </template>
            
        
    
        
            
            <script>
              import {
                MDBTable
              } from 'mdb-vue-ui-kit';
              export default {
                components: {
                  MDBTable,
                },
              };
            </script>
            
        
    
        
            
            <script setup lang="ts">
              import {
                MDBTable
              } from 'mdb-vue-ui-kit';
            </script>
            
        
    

Breakpoint specific

Use responsive="{sm|md|lg|xl|xxl}" as needed to create responsive tables up to a particular breakpoint. From that breakpoint and up, the table will behave normally and not scroll horizontally.

These tables may appear broken until their responsive styles apply at specific viewport widths.

# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
# Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell
        
            
            <template>
              <MDBTable responsive></MDBTable>
              <MDBTable responsive="sm"></MDBTable>
              <MDBTable responsive="md"></MDBTable>
              <MDBTable responsive="lg"></MDBTable>
              <MDBTable responsive="xl"></MDBTable>
              <MDBTable responsive="xxl"></MDBTable>
            </template>
            
        
    
        
            
            <script>
              import {
                MDBTable
              } from 'mdb-vue-ui-kit';
              export default {
                components: {
                  MDBTable,
                },
              };
            </script>
            
        
    
        
            
            <script setup lang="ts">
              import {
                MDBTable
              } from 'mdb-vue-ui-kit';
            </script>
            
        
    

Customizing in Sass

  • The factor variables ($table-striped-bg-factor, $table-active-bg-factor & $table-hover-bg-factor) are used to determine the contrast in table variants.
  • Apart from the light & dark table variants, theme colors are lightened by the $table-bg-level variable.
        
            
          $table-cell-padding-y: .5rem;
          $table-cell-padding-x: .5rem;
          $table-cell-padding-y-sm: .25rem;
          $table-cell-padding-x-sm: .25rem;

          $table-cell-vertical-align: top;

          $table-color: $body-color;
          $table-bg: transparent;

          $table-striped-color: $table-color;
          $table-striped-bg-factor: .05;
          $table-striped-bg: rgba($black, $table-striped-bg-factor);

          $table-active-color: $table-color;
          $table-active-bg-factor: .1;
          $table-active-bg: rgba($black, $table-active-bg-factor);

          $table-hover-color: $table-color;
          $table-hover-bg-factor: .075;
          $table-hover-bg: rgba($black, $table-hover-bg-factor);

          $table-border-factor: .1;
          $table-border-width: $border-width;
          $table-border-color: $border-color;

          $table-striped-order: odd;

          $table-group-seperator-color: currentColor;

          $table-caption-color: $text-muted;

          $table-bg-level: -9;

          $table-variants: (
          "primary": color-level($primary, $table-bg-level),
          "secondary": color-level($secondary, $table-bg-level),
          "success": color-level($success, $table-bg-level),
          "info": color-level($info, $table-bg-level),
          "warning": color-level($warning, $table-bg-level),
          "danger": color-level($danger, $table-bg-level),
          "light": $light,
          "dark": $dark,
          );
          
        
    

GET

UP TO 98% OFF

Check out our bundles and get up to 98% off PRO components.

Tables - API


Import

        
            
          <script>
            import {
              MDBTable
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Name Type Default Description Example
tag String 'table' Defines tag of the MDBTable element <MDBTable tag="div" />
variant String Sets table background color. Use our color palette <MDBTable variant="primary" />
dark Boolean false Shorthand for setting dark theme for the table <MDBTable dark />
light Boolean false Shorthand for setting light theme for the table <MDBTable light />
border Boolean | String false Adds border on all elements inside the table. Add value to set color of the border <MDBTable border /> <MDBTable border="primary" />
borderless Boolean false Disables border on al elements inside the table. <MDBTable borderless />
striped Boolean false Adds zebra-striping to any table row <MDBTable striped />
hover Boolean false Adds hover state on table rows (rows are marked on light-grey color) <MDBTable hover />
responsive Boolean | String false Adds table wrapper that makes table scrollable horizontally on given breakpoint. When no breakpoint is added it makes table scrollable horizontally when screen width is smaller than table content (under 768px). It make use of overflow-y: hidden which clips off content that goes beyon the bottom or top edge of the table. <MDBTable responsive /> <MDBTable responsive="md" />
align String Sets vertival alignment for table cells. Use {'top', 'middle', 'bottom'}. Top is default. <MDBTable align="middle" />
sm Boolean false Cuts cell's padding by half <MDBTable sm />
captionTop Boolean false Position table caption at the top of the table <MDBTable captionTop />
tableStyle String Sets additional styles for the table <MDBTable :tableStyle="{maxHeight: 200px}" />

CSS variables

As part of MDB’s evolving CSS variables approach, tables now uses local CSS variables on .table for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .table
        --#{$prefix}table-font-size: #{$table-font-size};
        --#{$prefix}table-divider-color: #{$table-divider-color};

        --#{$prefix}table-color-type: initial;
        --#{$prefix}table-bg-type: initial;
        --#{$prefix}table-color-state: initial;
        --#{$prefix}table-bg-state: initial;

        --#{$prefix}table-color: #{$table-color};
        --#{$prefix}table-bg: #{$table-bg};
        --#{$prefix}table-border-color: #{$table-border-color};
        --#{$prefix}table-accent-bg: #{$table-accent-bg};
        --#{$prefix}table-striped-color: #{$table-striped-color};
        --#{$prefix}table-striped-bg: #{$table-striped-bg};
        --#{$prefix}table-active-color: #{$table-active-color};
        --#{$prefix}table-active-bg: #{$table-active-bg};
        --#{$prefix}table-hover-color: #{$table-hover-color};
        --#{$prefix}table-hover-bg: #{$table-hover-bg};

        // .table-striped
        --#{$prefix}table-color-type: var(--#{$prefix}table-striped-color);
        --#{$prefix}table-bg-type: var(--#{$prefix}table-striped-bg);

        // .table-striped-columns
        --#{$prefix}table-color-type: var(--#{$prefix}table-striped-color);
        --#{$prefix}table-bg-type: var(--#{$prefix}table-striped-bg);
        
        // .table-active
        --#{$prefix}table-color-state: var(--#{$prefix}table-active-color);
        --#{$prefix}table-bg-state: var(--#{$prefix}table-active-bg);

        // .table-hover
        --#{$prefix}table-color-state: var(--#{$prefix}table-hover-color);
        --#{$prefix}table-bg-state: var(--#{$prefix}table-hover-bg);
        
        
    

SCSS variables

  • The factor variables ($table-striped-bg-factor, $table-active-bg-factor & $table-hover-bg-factor) are used to determine the contrast in table variants.
  • Apart from the light & dark table variants, theme colors are lightened by the $table-bg-level variable.
        
            
        $table-cell-vertical-align: top;
        $table-bg: var(--#{$prefix}body-bg);
        $table-accent-bg: transparent;
        $table-th-font-weight: null;

        $table-striped-color: $table-color;
        $table-striped-bg-factor: 0.05;
        $table-active-color: $table-color;
        $table-active-bg-factor: 0.1;

        $table-hover-color: $table-color;
        $table-hover-bg-factor: 0.075;
        $table-border-factor: 0.2;
        $table-border-width: var(--#{$prefix}border-width);
        $table-border-color: var(--#{$prefix}border-color);
        $table-striped-order: odd;
        $table-striped-columns-order: even;
        
        $table-group-separator-color: currentcolor;

        $table-caption-color: var(--#{$prefix}secondary-color);

        $table-cell-padding-y: 1rem;
        $table-cell-padding-x: 1.4rem;
        $table-cell-padding-y-sm: 0.5rem;
        $table-cell-padding-x-sm: 0.5rem;

        $table-color: var(--#{$prefix}body-color);
        $table-font-size: 0.9rem;
        $table-hover-transition: 0.5s;
        $table-group-separator-color: inherit;
        $table-divider-color: currentcolor;
        $table-bg-scale: -80%;
        $table-active-bg: rgba(var(--#{$prefix}emphasis-color-rgb), 0.1);
        $table-hover-bg: rgba(var(--#{$prefix}emphasis-color-rgb), 0.025);
        $table-striped-bg: rgba(var(--#{$prefix}emphasis-color-rgb), 0.02);

        $table-variants: (
          'primary': shift-color($primary, $table-bg-scale),
          'secondary': shift-color($secondary, $table-bg-scale),
          'success': shift-color($success, $table-bg-scale),
          'info': shift-color($info, $table-bg-scale),
          'warning': shift-color($warning, $table-bg-scale),
          'danger': shift-color($danger, $table-bg-scale),
          'light': $light,
          'dark': $dark,
        );